/* Demo of a hash-based SET data structure
 * Uses class hashtable
 */

	
class hashsetdemo {
    public static void main(String[] args) {
	int tablesize = 101;
	if (args.length > 0) {
		tablesize = new Integer(args[0]);
		//Console.WriteLine("table size is {0}", LISTSIZE);
	}
	hashset hs = new hashset(tablesize);
	hs.add("durian");
	hs.add("cranberry");
	hs.add("breadfruit");
	hs.print(); 
	System.out.println("==============");
	hs.add("cranberry");
	hs.add("durian");
	hs.add("guava");
	hs.print();
    }
}


class hashset {
    private hashtable ht;
    public hashset(int size) {ht = new hashtable(size);}

    public boolean isMember(String s) {
        return ht.isMember(s);
    }

    public void add(String s) {
	if (isMember(s)) return;
	ht.add(s);
    }

    public void print() {
	ht.print();
    }
}

